<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-19 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD colspan="2" height="56" width="780" background="images/menu_bg.gif">
        		<!-- MENU -->

        			<!-- CALL TOP-MENU-->
        			<xsl:call-template name="TOP-MENU"/>

        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<!-- HEADER -->	
        	<TR>
        		<TD colspan="2" align="right" width="780" height="268" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        			<table cellpadding="0" cellspacing="0" style="margin-right: 42px;">
        				<tr><td rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin: 4px 5px 0px 0px;"/></a></td><td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
        				<tr><td class="slogan" style="padding-left: 5px"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        			</table>
        		</TD>
        	</TR>
        	<!-- END HEADER -->	
        	<TR>
        		<TD height="100%" width="203" align="right" valign="top">
        		<!-- SUBMENU -->

     				<!-- CALL SUB-MENU-->
     				<xsl:call-template name="SUB-MENU">
     					<xsl:with-param name="pageID" select="@ID"/>
     				</xsl:call-template>

        		<!-- END SUBMENU -->
        		</TD>
        		<TD width="577" valign="top" style="padding: 0px 50px 30px 95px;">
        		<!-- CONTENT -->
        		<div class="text-header" style="margin-bottom: 20px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
				<div class="text"><xsl:apply-templates select="PAGE-CONTENT"/></div>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" valign="top">	
        			<table width="780" cellpadding="0" cellspacing="0" border="0">
        				<tr>
        					<td height="85" bgcolor="#FFBF00" valign="top" style="padding-top: 39px;">

			        			<table width="100%" cellpadding="0" cellspacing="0" border="0">
    			        			<tr>
    			        			<td>
            							<span style="width:40px; height:0px;"><spacer type="block" width="40" height="0" /></span>
            						</td>
    			        			<td>
            						<div style="float: left; width:200px;" class="footer">
    									<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
            						</div>
            						</td>
            						<td align="right">
    			    					<!--CALL BOTTOM-MENU -->
        								<xsl:call-template name="BOTTOM-MENU"/>
            						</td></tr>
        						</table>

        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>	
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-left: 20px;">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
    			<table cellpadding="0" cellspacing="0" width="160" border="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
     			<table cellpadding="0" cellspacing="0" width="160" border="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
   		<table cellpadding="0" cellspacing="0" style="margin-right: 17px;">
   			<tr>
				<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
   			</tr>
   		</table>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
      				<td style="padding: 0px 23px 0px 23px;"><b><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></b></td>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
      				<td style="padding: 0px 23px 0px 23px;"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
      				<td width="1" bgcolor="white"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
			</xsl:if>
	</xsl:template>

	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
